Package weka.classifiers.functions.neural

# Class SigmoidUnit

java.lang.Object
weka.classifiers.functions.neural.SigmoidUnit

All Implemented Interfaces:
  `Serializable`, `NeuralMethod`, `RevisionHandler`

public class SigmoidUnit extends Object implements NeuralMethod, RevisionHandler
This can be used by the neuralnode to perform all it's computations (as a sigmoid unit).

Version:
  $Revision: 1.7 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SigmoidUnit()`

## Method Summary

Modifier and Type
Method
Description
`double`
`errorValue(NeuralNode node)`
This function calculates what the error value should be.
`String`
`getRevision()`
Returns the revision string.
`double`
`outputValue(NeuralNode node)`
This function calculates what the output value should be.
`void`
`updateWeights(NeuralNode node, double learn, double momentum)`
This function will calculate what the change in weights should be and also update them.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SigmoidUnit

public SigmoidUnit()

## Method Details

### outputValue

public double outputValue(NeuralNode node)
This function calculates what the output value should be.

Specified by:
  `outputValue` in interface `NeuralMethod`
Parameters:
  `node` - The node to calculate the value for.
Returns:
  The value.

### errorValue

public double errorValue(NeuralNode node)
This function calculates what the error value should be.

Specified by:
  `errorValue` in interface `NeuralMethod`
Parameters:
  `node` - The node to calculate the error for.
Returns:
  The error.

### updateWeights

public void updateWeights(NeuralNode node, double learn, double momentum)
This function will calculate what the change in weights should be and also update them.

Specified by:
  `updateWeights` in interface `NeuralMethod`
Parameters:
  `node` - The node to update the weights for.
  `learn` - The learning rate to use.
  `momentum` - The momentum to use.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision